PostgreSQL 7.2.1 Documentation
Prev |  | Next

# getnotify

## Name

getnotify -- gets the last notify from the server

## Synopsis

    getnotify()

### Parameters

none

### Return Type

tuple, None

  Last notify from server

### Exceptions

TypeError

  Too many (any) arguments.

pg.error

  Invalid connection.

## Description

`getnotify()` method tries to get a notify from the server (from the `SQL` statement `NOTIFY`). If the server returns no notify, the methods returns None. Otherwise, it returns a tuple (couple) `(relname, pid)`, where `relname` is the name of the notify and `pid` the process id of the connection that triggered the notify. Remember to do a listen query first otherwise getnotify will always return None.

Prev | Home | Next
fileno | Up | inserttable